Users
Actions in the users namespace of the Nexigon Hub API.
Badges mark actions of the Device API and the Admin API, whose compatibility differs from other actions.
users_Query
POST/api/v1/actions/invoke/users_QueryAdmin API
Query the users of the instance.
Request QueryUsersAction
No fields. Send an empty JSON object.
Response QueryUsersOutput
usersarray<object>QueryUsersItemList of users.
7 fields
userIdstringUserIdID of the user.
emailstringEmail of the user.
displayNamestringoptionalName of the user.
isAdminbooleanWhether the user is an instance admin.
isActivebooleanWhether the user account has been activated.
New registrations start out inactive and are activated when the user confirms their email address.
deactivationobjectUserDeactivationoptionalDeactivation of the user account, if it is deactivated.
2 fields
deactivatedAtstring (date-time)TimestampTimestamp when the user was deactivated.
messagestringoptionalMessage shown to the user when they sign in, formatted as Markdown.
The instance's default message is shown when absent.
createdAtstring (date-time)TimestampTimestamp when the user was created.
Example
curl --fail-with-body \
-H "Authorization: Bearer $NEXIGON_TOKEN" \
-H "Content-Type: application/json" \
-d '{}' \
$NEXIGON_HUB_URL/api/v1/actions/invoke/users_Query{
"users": [
{
"userId": "<user-id>",
"email": "<email>",
"isAdmin": true,
"isActive": true,
"createdAt": "2026-01-01T12:00:00Z"
}
]
}users_GetDetails
POST/api/v1/actions/invoke/users_GetDetails
Get information about a user.
Request GetUserDetailsAction
userIdstringUserIdID of the user.
Response GetUserDetailsOutput
userIdstringUserIdID of the user.
emailstringEmail of the user.
displayNamestringoptionalName of the user.
isAdminbooleanWhether the user is an instance admin.
Example
curl --fail-with-body \
-H "Authorization: Bearer $NEXIGON_TOKEN" \
-H "Content-Type: application/json" \
-d '{"userId":"<user-id>"}' \
$NEXIGON_HUB_URL/api/v1/actions/invoke/users_GetDetails{
"userId": "<user-id>",
"email": "<email>",
"isAdmin": true
}users_Create
POST/api/v1/actions/invoke/users_CreateAdmin API
Create a new user.
Request CreateUserAction
authorizationobjectActionAuthorizationAuthorization for this administrative action.
2 variants
One of the following, identified by
kind:kind: "Context"Evaluate the action's authenticated execution context.
kind: "Credentials"Re-verify the current user session with account credentials.
passwordstringPassword of the user owning the current session.
codestringoptionalAuthenticator or recovery code when MFA is enabled.
emailstringEmail of the user.
- Email must be between 3 and 254 characters.
- Email must be a valid email address.
displayNamestringoptionalName of the user.
- Display name must be between 1 and 128 characters.
passwordstringoptionalPassword of the user.
- Password must be between 8 and 256 characters.
isAdminbooleanoptionalWhether the user is an instance admin.
Response CreateUserOutput
One of the following, identified by result:
result: "Created"User was created successfully.
userIdstringUserIdID of the user.
result: "EmailAlreadyExists"User with the same email already exists.
Example
curl --fail-with-body \
-H "Authorization: Bearer $NEXIGON_TOKEN" \
-H "Content-Type: application/json" \
-d '{"authorization":{"kind":"Context"},"email":"<email>"}' \
$NEXIGON_HUB_URL/api/v1/actions/invoke/users_Create{
"result": "Created",
"userId": "<user-id>"
}users_Delete
POST/api/v1/actions/invoke/users_DeleteAdmin API
Delete a user.
Request DeleteUserAction
userIdstringUserIdID of the user to delete.
Response Empty
No fields. The response is an empty JSON object.
Example
curl --fail-with-body \
-H "Authorization: Bearer $NEXIGON_TOKEN" \
-H "Content-Type: application/json" \
-d '{"userId":"<user-id>"}' \
$NEXIGON_HUB_URL/api/v1/actions/invoke/users_Delete{}users_Deactivate
POST/api/v1/actions/invoke/users_DeactivateAdmin API
Deactivate a user account.
Admin-only operation. Deactivated users cannot sign in and their API tokens
are rejected. All existing sessions of the user are terminated. Memberships,
tokens, and data are retained and usable again after reactivation. Deactivating
a deactivated user replaces their message, or selects the default message if
message is absent. Users cannot deactivate themselves.
Request DeactivateUserAction
authorizationobjectActionAuthorizationAuthorization for this administrative action.
2 variants
One of the following, identified by
kind:kind: "Context"Evaluate the action's authenticated execution context.
kind: "Credentials"Re-verify the current user session with account credentials.
passwordstringPassword of the user owning the current session.
codestringoptionalAuthenticator or recovery code when MFA is enabled.
userIdstringUserIdID of the user.
messagestringDeactivationMessageoptionalMessage shown to the user when they sign in.
The instance's default message is shown when absent.
- Message must be between 1 and 2000 characters.
- Message must not be blank.
Response Empty
No fields. The response is an empty JSON object.
Example
curl --fail-with-body \
-H "Authorization: Bearer $NEXIGON_TOKEN" \
-H "Content-Type: application/json" \
-d '{"authorization":{"kind":"Context"},"userId":"<user-id>"}' \
$NEXIGON_HUB_URL/api/v1/actions/invoke/users_Deactivate{}users_Reactivate
POST/api/v1/actions/invoke/users_ReactivateAdmin API
Reactivate a deactivated user account.
Admin-only operation that restores the user's ability to sign in and use their API tokens.
Request ReactivateUserAction
authorizationobjectActionAuthorizationAuthorization for this administrative action.
2 variants
One of the following, identified by
kind:kind: "Context"Evaluate the action's authenticated execution context.
kind: "Credentials"Re-verify the current user session with account credentials.
passwordstringPassword of the user owning the current session.
codestringoptionalAuthenticator or recovery code when MFA is enabled.
userIdstringUserIdID of the user.
Response Empty
No fields. The response is an empty JSON object.
Example
curl --fail-with-body \
-H "Authorization: Bearer $NEXIGON_TOKEN" \
-H "Content-Type: application/json" \
-d '{"authorization":{"kind":"Context"},"userId":"<user-id>"}' \
$NEXIGON_HUB_URL/api/v1/actions/invoke/users_Reactivate{}users_SetDisplayName
POST/api/v1/actions/invoke/users_SetDisplayName
Set the display name of a user.
Request SetUserDisplayNameAction
userIdstringUserIdID of the user to update.
displayNamestringNew name of the user.
- Display name must be between 1 and 128 characters.
Response Empty
No fields. The response is an empty JSON object.
Example
curl --fail-with-body \
-H "Authorization: Bearer $NEXIGON_TOKEN" \
-H "Content-Type: application/json" \
-d '{"userId":"<user-id>","displayName":"<display-name>"}' \
$NEXIGON_HUB_URL/api/v1/actions/invoke/users_SetDisplayName{}users_SetIsAdmin
POST/api/v1/actions/invoke/users_SetIsAdminAdmin API
Set whether the user is an instance administrator.
Request SetUserIsAdminAction
authorizationobjectActionAuthorizationAuthorization for this administrative action.
2 variants
One of the following, identified by
kind:kind: "Context"Evaluate the action's authenticated execution context.
kind: "Credentials"Re-verify the current user session with account credentials.
passwordstringPassword of the user owning the current session.
codestringoptionalAuthenticator or recovery code when MFA is enabled.
userIdstringUserIdID of the user.
isAdminbooleanWhether the user is an instance administrator.
Response Empty
No fields. The response is an empty JSON object.
Example
curl --fail-with-body \
-H "Authorization: Bearer $NEXIGON_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"authorization": {
"kind": "Context"
},
"userId": "<user-id>",
"isAdmin": true
}' \
$NEXIGON_HUB_URL/api/v1/actions/invoke/users_SetIsAdmin{}users_SetPassword
POST/api/v1/actions/invoke/users_SetPasswordAdmin API
Set the password of a user.
Admin-only operation that sets the password without requiring the current one. All existing sessions of the user are invalidated.
Request SetUserPasswordAction
authorizationobjectActionAuthorizationAuthorization for this administrative action.
2 variants
One of the following, identified by
kind:kind: "Context"Evaluate the action's authenticated execution context.
kind: "Credentials"Re-verify the current user session with account credentials.
passwordstringPassword of the user owning the current session.
codestringoptionalAuthenticator or recovery code when MFA is enabled.
userIdstringUserIdID of the user.
passwordstringNew password to set.
- Password must be between 8 and 256 characters.
Response Empty
No fields. The response is an empty JSON object.
Example
curl --fail-with-body \
-H "Authorization: Bearer $NEXIGON_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"authorization": {
"kind": "Context"
},
"userId": "<user-id>",
"password": "<password>"
}' \
$NEXIGON_HUB_URL/api/v1/actions/invoke/users_SetPassword{}users_SetEmail
POST/api/v1/actions/invoke/users_SetEmailAdmin API
Set the email address of a user.
Admin-only operation that updates the address without verification.
Request SetUserEmailAction
authorizationobjectActionAuthorizationAuthorization for this administrative action.
2 variants
One of the following, identified by
kind:kind: "Context"Evaluate the action's authenticated execution context.
kind: "Credentials"Re-verify the current user session with account credentials.
passwordstringPassword of the user owning the current session.
codestringoptionalAuthenticator or recovery code when MFA is enabled.
userIdstringUserIdID of the user.
emailstringNew email address.
- Email must be between 3 and 254 characters.
- Email must be a valid email address.
Response SetUserEmailOutput
One of the following, identified by result:
result: "Updated"Email address has been updated.
result: "EmailAlreadyExists"Another user already has the requested email address.
Example
curl --fail-with-body \
-H "Authorization: Bearer $NEXIGON_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"authorization": {
"kind": "Context"
},
"userId": "<user-id>",
"email": "<email>"
}' \
$NEXIGON_HUB_URL/api/v1/actions/invoke/users_SetEmail{
"result": "Updated"
}users_ChangePassword
POST/api/v1/actions/invoke/users_ChangePassword
Change the password of the current user.
Requires account credentials in authorization, even if the user is
already authenticated.
Request ChangeUserPasswordAction
authorizationobjectActionAuthorizationCredentials that re-verify the current user session.
2 variants
One of the following, identified by
kind:kind: "Context"Evaluate the action's authenticated execution context.
kind: "Credentials"Re-verify the current user session with account credentials.
passwordstringPassword of the user owning the current session.
codestringoptionalAuthenticator or recovery code when MFA is enabled.
userIdstringUserIdID of the user.
newPasswordstringNew password to set.
- Password must be between 8 and 256 characters.
Response Empty
No fields. The response is an empty JSON object.
Example
curl --fail-with-body \
-H "Authorization: Bearer $NEXIGON_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"authorization": {
"kind": "Context"
},
"userId": "<user-id>",
"newPassword": "<new-password>"
}' \
$NEXIGON_HUB_URL/api/v1/actions/invoke/users_ChangePassword{}users_InitiateEmailChange
POST/api/v1/actions/invoke/users_InitiateEmailChange
Initiate an email-address change for the current user.
Requires account credentials in authorization. On success, a verification
link is sent to the new address and a notification is sent to the current address.
Request InitiateUserEmailChangeAction
authorizationobjectActionAuthorizationCredentials that re-verify the current user session.
2 variants
One of the following, identified by
kind:kind: "Context"Evaluate the action's authenticated execution context.
kind: "Credentials"Re-verify the current user session with account credentials.
passwordstringPassword of the user owning the current session.
codestringoptionalAuthenticator or recovery code when MFA is enabled.
userIdstringUserIdID of the user.
newEmailstringNew email address to switch to.
- Email must be between 3 and 254 characters.
- Email must be a valid email address.
Response InitiateUserEmailChangeOutput
One of the following, identified by result:
result: "Pending"Verification email has been scheduled.
result: "SameEmail"New email address is the same as the current one.
result: "EmailAlreadyExists"Another user already has the requested email address.
Example
curl --fail-with-body \
-H "Authorization: Bearer $NEXIGON_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"authorization": {
"kind": "Context"
},
"userId": "<user-id>",
"newEmail": "<new-email>"
}' \
$NEXIGON_HUB_URL/api/v1/actions/invoke/users_InitiateEmailChange{
"result": "Pending"
}users_CompleteEmailChange
POST/api/v1/actions/invoke/users_CompleteEmailChange
Complete an email-address change using a verification token.
Request CompleteUserEmailChangeAction
tokenstringJwtToken issued via [
InitiateUserEmailChangeAction].
Response CompleteUserEmailChangeOutput
One of the following, identified by result:
result: "Completed"Email address has been updated.
result: "InvalidToken"Provided token is invalid or has expired.
result: "EmailAlreadyExists"Another user already has the requested email address.
Example
curl --fail-with-body \
-H "Authorization: Bearer $NEXIGON_TOKEN" \
-H "Content-Type: application/json" \
-d '{"token":"<jwt>"}' \
$NEXIGON_HUB_URL/api/v1/actions/invoke/users_CompleteEmailChange{
"result": "Completed"
}users_ResetPassword
POST/api/v1/actions/invoke/users_ResetPassword
Reset the password of a user.
This will send an email to the user with a link to reset their password.
Request ResetUserPasswordAction
emailstringEmail of the user.
- Email must be between 3 and 254 characters.
Response Empty
No fields. The response is an empty JSON object.
Example
curl --fail-with-body \
-H "Authorization: Bearer $NEXIGON_TOKEN" \
-H "Content-Type: application/json" \
-d '{"email":"<email>"}' \
$NEXIGON_HUB_URL/api/v1/actions/invoke/users_ResetPassword{}users_CompletePasswordReset
POST/api/v1/actions/invoke/users_CompletePasswordReset
Complete the password reset of a user.
Request CompleteUserPasswordResetAction
resetTokenstringJwtToken to use for password reset.
passwordstringNew password of the user.
- Password must be between 8 and 256 characters.
Response CompleteUserPasswordResetOutput
One of the following, identified by result:
result: "Completed"Password has been reset.
result: "InvalidToken"Password reset failed due to the token being invalid.
Example
curl --fail-with-body \
-H "Authorization: Bearer $NEXIGON_TOKEN" \
-H "Content-Type: application/json" \
-d '{"resetToken":"<jwt>","password":"<password>"}' \
$NEXIGON_HUB_URL/api/v1/actions/invoke/users_CompletePasswordReset{
"result": "Completed"
}users_QueryTokens
POST/api/v1/actions/invoke/users_QueryTokens
Query the tokens of a user.
Request QueryUserTokensAction
userIdstringUserIdID of the user.
Response QueryUserTokensOutput
tokensarray<object>QueryUserTokensItemList of user tokens.
3 fields
tokenIdstringUserTokenIdID of the token.
createdAtstring (date-time)TimestampCreation date of the token.
namestringoptionalName of the token.
Example
curl --fail-with-body \
-H "Authorization: Bearer $NEXIGON_TOKEN" \
-H "Content-Type: application/json" \
-d '{"userId":"<user-id>"}' \
$NEXIGON_HUB_URL/api/v1/actions/invoke/users_QueryTokens{
"tokens": [
{
"tokenId": "<user-token-id>",
"createdAt": "2026-01-01T12:00:00Z"
}
]
}users_QueryOrganizations
POST/api/v1/actions/invoke/users_QueryOrganizations
Query the organizations of a user.
Request QueryUserOrganizationsAction
userIdstringUserIdID of the user.
Response QueryUserOrganizationsOutput
organizationsarray<object>QueryUserOrganizationsItemList of organizations.
5 fields
organizationIdstringOrganizationIdID of the organization.
namestringName of the organization.
requiresSubscriptionbooleanWhether the organization requires a paid subscription.
subscriptionPlanNamestringoptionalName of the active subscription plan, if any.
deactivationobjectOrganizationDeactivationoptionalDeactivation of the organization, if it is deactivated.
2 fields
deactivatedAtstring (date-time)TimestampTimestamp when the organization was deactivated.
messagestringoptionalMessage shown to members, formatted as Markdown.
A built-in message is shown when absent.
Example
curl --fail-with-body \
-H "Authorization: Bearer $NEXIGON_TOKEN" \
-H "Content-Type: application/json" \
-d '{"userId":"<user-id>"}' \
$NEXIGON_HUB_URL/api/v1/actions/invoke/users_QueryOrganizations{
"organizations": [
{
"organizationId": "<organization-id>",
"name": "<name>",
"requiresSubscription": true
}
]
}users_QueryOrganizationInvitations
POST/api/v1/actions/invoke/users_QueryOrganizationInvitations
Query the organization invitations of a user.
Request QueryUserOrganizationInvitationsAction
userIdstringUserIdID of the user.
Response QueryUserOrganizationInvitationsOutput
invitationsarray<object>QueryUserOrganizationInvitationsItemList of organization invitations.
2 fields
invitationIdstringOrganizationInvitationIdID of the invitation.
organizationobjectQueryUserOrganizationInvitationsItemOrganizationInformation about the organization.
2 fields
organizationIdstringOrganizationIdID of the organization.
namestringName of the organization.
Example
curl --fail-with-body \
-H "Authorization: Bearer $NEXIGON_TOKEN" \
-H "Content-Type: application/json" \
-d '{"userId":"<user-id>"}' \
$NEXIGON_HUB_URL/api/v1/actions/invoke/users_QueryOrganizationInvitations{
"invitations": [
{
"invitationId": "<organization-invitation-id>",
"organization": {
"organizationId": "<organization-id>",
"name": "<name>"
}
}
]
}users_QuerySessions
POST/api/v1/actions/invoke/users_QuerySessions
Query the sessions of a user.
Request QueryUserSessionsAction
userIdstringUserIdID of the user.
Response QueryUserSessionsOutput
sessionsarray<object>UserSessionList of user sessions.
4 fields
sessionIdstringUserSessionIdID of the session.
createdAtstring (date-time)TimestampCreation date of the session.
expiresAtstring (date-time)TimestampExpiration date of the session.
userAgentstringUser agent of the session.
Example
curl --fail-with-body \
-H "Authorization: Bearer $NEXIGON_TOKEN" \
-H "Content-Type: application/json" \
-d '{"userId":"<user-id>"}' \
$NEXIGON_HUB_URL/api/v1/actions/invoke/users_QuerySessions{
"sessions": [
{
"sessionId": "<user-session-id>",
"createdAt": "2026-01-01T12:00:00Z",
"expiresAt": "2026-01-01T12:00:00Z",
"userAgent": "<user-agent>"
}
]
}users_GetDevicePermissions
POST/api/v1/actions/invoke/users_GetDevicePermissions
Check the permissions of a user for a given device.
Request GetDevicePermissionsAction
userIdstringUserIdID of the user.
deviceIdstringDeviceIdID of the device.
Response GetDevicePermissionsOutput
hasAccessbooleanWhether the user has access to the device.
Example
curl --fail-with-body \
-H "Authorization: Bearer $NEXIGON_TOKEN" \
-H "Content-Type: application/json" \
-d '{"userId":"<user-id>","deviceId":"<device-id>"}' \
$NEXIGON_HUB_URL/api/v1/actions/invoke/users_GetDevicePermissions{
"hasAccess": true
}users_CreateToken
POST/api/v1/actions/invoke/users_CreateToken
Create a user token.
Request CreateUserTokenAction
authorizationobjectActionAuthorizationCredentials that re-verify the current user session.
2 variants
One of the following, identified by
kind:kind: "Context"Evaluate the action's authenticated execution context.
kind: "Credentials"Re-verify the current user session with account credentials.
passwordstringPassword of the user owning the current session.
codestringoptionalAuthenticator or recovery code when MFA is enabled.
userIdstringUserIdID of the user.
namestringoptionalName of the token.
- Token name must be between 1 and 128 characters.
Response CreateUserTokenOutput
tokenIdstringUserTokenIdID of the token.
tokenstringUserTokenToken.
Example
curl --fail-with-body \
-H "Authorization: Bearer $NEXIGON_TOKEN" \
-H "Content-Type: application/json" \
-d '{"authorization":{"kind":"Context"},"userId":"<user-id>"}' \
$NEXIGON_HUB_URL/api/v1/actions/invoke/users_CreateToken{
"tokenId": "<user-token-id>",
"token": "<user-token>"
}users_DeleteToken
POST/api/v1/actions/invoke/users_DeleteToken
Delete a user token.
Request DeleteUserTokenAction
tokenIdstringUserTokenIdID of the token.
Response Empty
No fields. The response is an empty JSON object.
Example
curl --fail-with-body \
-H "Authorization: Bearer $NEXIGON_TOKEN" \
-H "Content-Type: application/json" \
-d '{"tokenId":"<user-token-id>"}' \
$NEXIGON_HUB_URL/api/v1/actions/invoke/users_DeleteToken{}users_TerminateSession
POST/api/v1/actions/invoke/users_TerminateSession
Terminate a user session.
The acting user must own the session; sessions belonging to other users are not affected.
Request TerminateUserSessionAction
sessionIdstringUserSessionIdID of the session.
Response Empty
No fields. The response is an empty JSON object.
Example
curl --fail-with-body \
-H "Authorization: Bearer $NEXIGON_TOKEN" \
-H "Content-Type: application/json" \
-d '{"sessionId":"<user-session-id>"}' \
$NEXIGON_HUB_URL/api/v1/actions/invoke/users_TerminateSession{}users_Register
POST/api/v1/actions/invoke/users_Register
Register a new user with an email and password.
Request RegisterUserAction
displayNamestringoptionalName of the user.
- Display name must be between 1 and 64 characters.
emailstringEmail address of the user.
- Email must be between 3 and 254 characters.
- Email must be a valid email address.
passwordstringPassword of the user.
- Password must be between 8 and 256 characters.
consentedToTermsbooleanIndicates whether the user has consented to the terms and conditions.
This must be
trueto register a user.consentedToMarketingbooleanoptionalIndicates whether the user has consented to marketing communications.
Response Empty
No fields. The response is an empty JSON object.
Example
curl --fail-with-body \
-H "Authorization: Bearer $NEXIGON_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"email": "<email>",
"password": "<password>",
"consentedToTerms": true
}' \
$NEXIGON_HUB_URL/api/v1/actions/invoke/users_Register{}users_ResendRegistrationEmail
POST/api/v1/actions/invoke/users_ResendRegistrationEmail
Request ResendRegistrationEmailAction
emailstringEmail address of the user.
- Email must be between 3 and 254 characters.
Response Empty
No fields. The response is an empty JSON object.
Example
curl --fail-with-body \
-H "Authorization: Bearer $NEXIGON_TOKEN" \
-H "Content-Type: application/json" \
-d '{"email":"<email>"}' \
$NEXIGON_HUB_URL/api/v1/actions/invoke/users_ResendRegistrationEmail{}users_CompleteRegistration
POST/api/v1/actions/invoke/users_CompleteRegistration
Complete the registration of a user.
Request CompleteRegistrationAction
activationTokenstringJwtToken to use for account activation.
Response CompleteRegistrationOutput
One of the following, identified by result:
result: "Completed"Registration was successful.
result: "Failed"Registration failed.
Example
curl --fail-with-body \
-H "Authorization: Bearer $NEXIGON_TOKEN" \
-H "Content-Type: application/json" \
-d '{"activationToken":"<jwt>"}' \
$NEXIGON_HUB_URL/api/v1/actions/invoke/users_CompleteRegistration{
"result": "Completed"
}users_AcceptOrganizationInvitation
POST/api/v1/actions/invoke/users_AcceptOrganizationInvitation
Accept a organization invitation.
Request AcceptOrganizationInvitationAction
invitationIdstringOrganizationInvitationIdID of the invitation.
Response Empty
No fields. The response is an empty JSON object.
Example
curl --fail-with-body \
-H "Authorization: Bearer $NEXIGON_TOKEN" \
-H "Content-Type: application/json" \
-d '{"invitationId":"<organization-invitation-id>"}' \
$NEXIGON_HUB_URL/api/v1/actions/invoke/users_AcceptOrganizationInvitation{}